package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunRegistry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		
		//subarm
		{//start
			mod.subarm_tec9	= new ItemDollGun_SR().setUnlocalizedName("subarm_tec9")
		    		.setRegistryName(mod.MOD_ID, "subarm_tec9").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_tec9;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/tec9.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/tec9.txt");
			}
		    event.getRegistry().register(mod.subarm_tec9);
		}//end
		{//start
			mod.subarm_ak12prt	= new ItemDollGun_AR().setUnlocalizedName("subarm_ak12prt")
		    		.setRegistryName(mod.MOD_ID, "subarm_ak12prt").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_ak12prt;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/ak12prt.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/ak12prt.txt");
			}
		    event.getRegistry().register(mod.subarm_ak12prt);
		}//end
		{//start
			mod.subarm_ar15	= new ItemDollGun_AR().setUnlocalizedName("subarm_ar15")
		    		.setRegistryName(mod.MOD_ID, "subarm_ar15").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_ar15;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/ar15.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/ar15.txt");
			}
		    event.getRegistry().register(mod.subarm_ar15);
		}//end
		{//start
			mod.subarm_m2c	= new ItemDollGun_AR().setUnlocalizedName("subarm_m2c")
		    		.setRegistryName(mod.MOD_ID, "subarm_m2c").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_m2c;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/m2c.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/m2c.txt");
			}
		    event.getRegistry().register(mod.subarm_m2c);
		}//end
		{//start
			mod.subarm_pp2000	= new ItemDollGun_AR().setUnlocalizedName("subarm_pp2000")
		    		.setRegistryName(mod.MOD_ID, "subarm_pp2000").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_pp2000;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/pp2000.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/pp2000.txt");
			}
		    event.getRegistry().register(mod.subarm_pp2000);
		}//end
		{//start
			mod.subarm_mk18c	= new ItemDollGun_AR().setUnlocalizedName("subarm_mk18c")
		    		.setRegistryName(mod.MOD_ID, "subarm_mk18c").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.subarm_mk18c;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/subarm/mk18c.txt");
				LoadDollStatus.load(gun, mod, event, status, "subarm/mk18c.txt");
			}
		    event.getRegistry().register(mod.subarm_mk18c);
		}//end
		
		
		
		
		
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_HG_Loading", 20, true);
		{//start
			mod.dollgun_m9	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m9")
		    		.setRegistryName(mod.MOD_ID, "dollgun_m9").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m9;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/m9.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/m9.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m9;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m9);
		    {
				 mod.core_m9	= new ItemDollCore(9, mod.dollgun_m9, mod.core_m9).setUnlocalizedName("core_m9")
				    		.setRegistryName(mod.MOD_ID, "core_m9").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m9;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m9;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_m9;
					 
				 }
				   
				    event.getRegistry().register(mod.core_m9);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m9;
		    	gun.doll_core = mod.core_m9;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_g17	= new ItemDollGun_SR().setUnlocalizedName("dollgun_g17")
		    		.setRegistryName(mod.MOD_ID, "dollgun_g17").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g17;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/g17.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/g17.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_g17;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_g17);
		    {
				 mod.core_g17	= new ItemDollCore(9, mod.dollgun_g17, mod.core_g17).setUnlocalizedName("core_g17")
				    		.setRegistryName(mod.MOD_ID, "core_g17").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_g17;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g17;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_g17;
					 //++mod.hg_id;
				 }
				   
				    event.getRegistry().register(mod.core_g17);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_g17;
		    	gun.doll_core = mod.core_g17;
		    }
		}bar.step("gun load");//end
		{
			mod.dollgun_m1911	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1911")
		    		.setRegistryName(mod.MOD_ID, "dollgun_m1911").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1911;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/m1911.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/m1911.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1911;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1911);
		    {
				 mod.core_m1911	= new ItemDollCore(2, mod.dollgun_m1911, mod.dollgun_m1911).setUnlocalizedName("core_m1911")
				    		.setRegistryName(mod.MOD_ID, "core_m1911").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1911;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1911;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_m1911;
					 //++mod.hg_id;
				 }
				   
				    event.getRegistry().register(mod.core_m1911);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1911;
		    	gun.doll_core = mod.core_m1911;
		    }
		}
		{
			mod.dollgun_p38	= new ItemDollGun_SR().setUnlocalizedName("dollgun_p38")
		    		.setRegistryName(mod.MOD_ID, "dollgun_p38").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p38;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/p38.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/p38.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_p38;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_p38);
		    {
				 mod.core_p38	= new ItemDollCore(9, mod.dollgun_p38, mod.dollgun_p38).setUnlocalizedName("core_p38")
				    		.setRegistryName(mod.MOD_ID, "core_p38").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_p38;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p38;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_p38;
					 //++mod.hg_id;
				 }
				    
				    event.getRegistry().register(mod.core_p38);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p38;
		    	gun.doll_core = mod.core_p38;
		    }
		}
		{//start
			mod.dollgun_stechkin	= new ItemDollGun_AR().setUnlocalizedName("dollgun_stechkin")
		    		.setRegistryName(mod.MOD_ID, "dollgun_stechkin").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stechkin;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/stechkin.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/stechkin.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_stechkin;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_stechkin);
		    {
				 mod.core_stechkin	= new ItemDollCore(9, mod.dollgun_stechkin, mod.core_stechkin).setUnlocalizedName("core_stechkin")
				    		.setRegistryName(mod.MOD_ID, "core_stechkin").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_stechkin;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stechkin;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_stechkin;
				 }
				   
				    event.getRegistry().register(mod.core_stechkin);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_stechkin;
		    	gun.doll_core = mod.core_stechkin;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_fn57	= new ItemDollGun_SR().setUnlocalizedName("dollgun_fn57")
		    		.setRegistryName(mod.MOD_ID, "dollgun_fn57").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn57;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/fn57.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/fn57.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_fn57;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_fn57);
		    {
				 mod.core_fn57	= new ItemDollCore(9, mod.dollgun_fn57, mod.core_fn57).setUnlocalizedName("core_fn57")
				    		.setRegistryName(mod.MOD_ID, "core_fn57").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_fn57;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn57;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_fn57;
				 }
				    
				    event.getRegistry().register(mod.core_fn57);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_fn57;
		    	gun.doll_core = mod.core_fn57;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_hk45	= new ItemDollGun_SR().setUnlocalizedName("dollgun_hk45")
		    		.setRegistryName(mod.MOD_ID, "dollgun_hk45").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk45;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/hk45.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/hk45.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_hk45;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_hk45);
		    {
				 mod.core_hk45	= new ItemDollCore(9, mod.dollgun_hk45, mod.core_hk45).setUnlocalizedName("core_hk45")
				    		.setRegistryName(mod.MOD_ID, "core_hk45").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_hk45;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk45;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_hk45;
				 }
				    
				    event.getRegistry().register(mod.core_hk45);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_hk45;
		    	gun.doll_core = mod.core_hk45;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_astra	= new ItemDollGun_SR().setUnlocalizedName("dollgun_astra")
		    		.setRegistryName(mod.MOD_ID, "dollgun_astra").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_astra;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/astra.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/astra.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_astra;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_astra);
		    {
				 mod.core_astra	= new ItemDollCore(9, mod.dollgun_astra, mod.core_astra).setUnlocalizedName("core_astra")
				    		.setRegistryName(mod.MOD_ID, "core_astra").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_astra;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_astra;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_astra;
				 }
				    
				    event.getRegistry().register(mod.core_astra);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_astra;
		    	gun.doll_core = mod.core_astra;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_gr_mk23	= new ItemDollGun_SR().setUnlocalizedName("dollgun_gr_mk23")
		    		.setRegistryName(mod.MOD_ID, "dollgun_gr_mk23").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mk23;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/gr_mk23.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/gr_mk23.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mk23;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mk23);
		    {
				 mod.core_gr_mk23	= new ItemDollCore(9, mod.dollgun_gr_mk23, mod.core_gr_mk23).setUnlocalizedName("core_gr_mk23")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mk23").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mk23;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mk23;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_gr_mk23;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mk23);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mk23;
		    	gun.doll_core = mod.core_gr_mk23;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_welrod	= new ItemDollGun_SR().setUnlocalizedName("dollgun_welrod")
		    		.setRegistryName(mod.MOD_ID, "dollgun_welrod").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_welrod;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/welrod.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/welrod.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_welrod;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_welrod);
		    {
				 mod.core_welrod	= new ItemDollCore(9, mod.dollgun_welrod, mod.core_welrod).setUnlocalizedName("core_welrod")
				    		.setRegistryName(mod.MOD_ID, "core_welrod").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_welrod;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_welrod;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_welrod;
				 }
				    
				    event.getRegistry().register(mod.core_welrod);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_welrod;
		    	gun.doll_core = mod.core_welrod;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_uspc	= new ItemDollGun_SR().setUnlocalizedName("dollgun_uspc")
		    		.setRegistryName(mod.MOD_ID, "dollgun_uspc").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_uspc;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/uspc.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/uspc.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_uspc;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_uspc);
		    {
				 mod.core_uspc	= new ItemDollCore(9, mod.dollgun_uspc, mod.core_uspc).setUnlocalizedName("core_uspc")
				    		.setRegistryName(mod.MOD_ID, "core_uspc").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_uspc;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_uspc;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_uspc;
				 }
				    
				    event.getRegistry().register(mod.core_uspc);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_uspc;
		    	gun.doll_core = mod.core_uspc;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_pm	= new ItemDollGun_SR().setUnlocalizedName("dollgun_pm")
		    		.setRegistryName(mod.MOD_ID, "dollgun_pm").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pm;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/pm.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/pm.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_pm;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_pm);
		    {
				 mod.core_pm	= new ItemDollCore(9, mod.dollgun_pm, mod.core_pm).setUnlocalizedName("core_pm")
				    		.setRegistryName(mod.MOD_ID, "core_pm").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_pm;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pm;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_pm;
				 }
				    
				    event.getRegistry().register(mod.core_pm);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pm;
		    	gun.doll_core = mod.core_pm;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_tt33	= new ItemDollGun_SR().setUnlocalizedName("dollgun_tt33")
		    		.setRegistryName(mod.MOD_ID, "dollgun_tt33").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tt33;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/tt33.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/tt33.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_tt33;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_tt33);
		    {
				 mod.core_tt33	= new ItemDollCore(9, mod.dollgun_tt33, mod.core_tt33).setUnlocalizedName("core_tt33")
				    		.setRegistryName(mod.MOD_ID, "core_tt33").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_tt33;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tt33;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_tt33;
				 }
				    
				    event.getRegistry().register(mod.core_tt33);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_tt33;
		    	gun.doll_core = mod.core_tt33;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_ppk	= new ItemDollGun_SR().setUnlocalizedName("dollgun_ppk")
		    		.setRegistryName(mod.MOD_ID, "dollgun_ppk").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppk;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/ppk.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/ppk.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ppk;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ppk);
		    {
				 mod.core_ppk	= new ItemDollCore(9, mod.dollgun_ppk, mod.core_ppk).setUnlocalizedName("core_ppk")
				    		.setRegistryName(mod.MOD_ID, "core_ppk").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ppk;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppk;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_ppk;
				 }
				    
				    event.getRegistry().register(mod.core_ppk);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ppk;
		    	gun.doll_core = mod.core_ppk;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_deserteagle	= new ItemDollGun_SR().setUnlocalizedName("dollgun_deserteagle")
		    		.setRegistryName(mod.MOD_ID, "dollgun_deserteagle").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_deserteagle;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/deserteagle.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/deserteagle.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_deserteagle;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_deserteagle);
		    {
				 mod.core_deserteagle	= new ItemDollCore(9, mod.dollgun_deserteagle, mod.core_deserteagle).setUnlocalizedName("core_deserteagle")
				    		.setRegistryName(mod.MOD_ID, "core_deserteagle").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_deserteagle;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_deserteagle;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_deserteagle;
				 }
				    
				    event.getRegistry().register(mod.core_deserteagle);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_deserteagle;
		    	gun.doll_core = mod.core_deserteagle;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_p226	= new ItemDollGun_SR().setUnlocalizedName("dollgun_p226")
		    		.setRegistryName(mod.MOD_ID, "dollgun_p226").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p226;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/p226.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/p226.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_p226;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_p226);
		    {
				 mod.core_p226	= new ItemDollCore(9, mod.dollgun_p226, mod.core_p226).setUnlocalizedName("core_p226")
				    		.setRegistryName(mod.MOD_ID, "core_p226").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_p226;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p226;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_p226;
				 }
				    
				    event.getRegistry().register(mod.core_p226);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p226;
		    	gun.doll_core = mod.core_p226;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_thunder	= new ItemDollGun_SR().setUnlocalizedName("dollgun_thunder")
		    		.setRegistryName(mod.MOD_ID, "dollgun_thunder").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_thunder;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/thunder.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/thunder.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_thunder;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_thunder);
		    {
				 mod.core_thunder	= new ItemDollCore(9, mod.dollgun_thunder, mod.core_thunder).setUnlocalizedName("core_thunder")
				    		.setRegistryName(mod.MOD_ID, "core_thunder").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_thunder;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_thunder;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_thunder;
				 }
				    
				    event.getRegistry().register(mod.core_thunder);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_thunder;
		    	gun.doll_core = mod.core_thunder;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1895	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m1895")
		    		.setRegistryName(mod.MOD_ID, "dollgun_m1895").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1895;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/m1895.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/m1895.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1895;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1895);
		    {
				 mod.core_m1895	= new ItemDollCore(9, mod.dollgun_m1895, mod.core_m1895).setUnlocalizedName("core_m1895")
				    		.setRegistryName(mod.MOD_ID, "core_m1895").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1895;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1895;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_m1895;
				 }
				    
				    event.getRegistry().register(mod.core_m1895);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1895;
		    	gun.doll_core = mod.core_m1895;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gsh18	= new ItemDollGun_SR().setUnlocalizedName("dollgun_gsh18")
		    		.setRegistryName(mod.MOD_ID, "dollgun_gsh18").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gsh18;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/gsh18.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/gsh18.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gsh18;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gsh18);
		    {
				 mod.core_gsh18	= new ItemDollCore(9, mod.dollgun_gsh18, mod.core_gsh18).setUnlocalizedName("core_gsh18")
				    		.setRegistryName(mod.MOD_ID, "core_gsh18").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gsh18;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gsh18;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_gsh18;
				 }
				    
				    event.getRegistry().register(mod.core_gsh18);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gsh18;
		    	gun.doll_core = mod.core_gsh18;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_spp1	= new ItemDollGun_SR().setUnlocalizedName("dollgun_spp1")
		    		.setRegistryName(mod.MOD_ID, "dollgun_spp1").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spp1;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/spp1.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/spp1.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_spp1;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_spp1);
		    {
				 mod.core_spp1	= new ItemDollCore(9, mod.dollgun_spp1, mod.core_spp1).setUnlocalizedName("core_spp1")
				    		.setRegistryName(mod.MOD_ID, "core_spp1").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_spp1;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spp1;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_spp1;
				 }
				    
				    event.getRegistry().register(mod.core_spp1);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_spp1;
		    	gun.doll_core = mod.core_spp1;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m327	= new ItemDollGun_SR().setUnlocalizedName("dollgun_m327")
		    		.setRegistryName(mod.MOD_ID, "dollgun_m327").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m327;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/m327.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/m327.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m327;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m327);
		    {
				 mod.core_m327	= new ItemDollCore(9, mod.dollgun_m327, mod.core_m327).setUnlocalizedName("core_m327")
				    		.setRegistryName(mod.MOD_ID, "core_m327").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m327;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m327;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_m327;
				 }
				    
				    event.getRegistry().register(mod.core_m327);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m327;
		    	gun.doll_core = mod.core_m327;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_p7	= new ItemDollGun_SR().setUnlocalizedName("dollgun_p7")
		    		.setRegistryName(mod.MOD_ID, "dollgun_p7").setCreativeTab(mod.tabgg_gun);
		    {
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p7;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hg/p7.txt");
				LoadDollStatus.load(gun, mod, event, status, "hg/p7.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_p7;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_p7);
		    {
				 mod.core_p7	= new ItemDollCore(9, mod.dollgun_p7, mod.core_p7).setUnlocalizedName("core_p7")
				    		.setRegistryName(mod.MOD_ID, "core_p7").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_p7;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p7;
					 core.craft_time = gun.doll_crafttime;
					 ++mod.hg_id;
					 mod.hg_rare[mod.hg_id] = gun.doll_rare;
					 mod.hg_item[mod.hg_id] = mod.core_p7;
				 }
				    
				    event.getRegistry().register(mod.core_p7);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_p7;
		    	gun.doll_core = mod.core_p7;
		    }
		}bar.step("gun load");//end
		
		
		
		
		
		
		
		
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
